petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscObjectGetComm

Gets the MPI communicator for any PetscObject, regardless of the type.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectGetComm(PetscObject obj,MPI_Comm *comm)

Not Collective

### Input Parameter

obj -any PETSc object, for example a Vec, Mat or KSP. Thus must be cast with a (PetscObject), for example, PetscObjectGetComm((PetscObject)mat,&comm);

### Output Parameter

comm -the MPI communicator

### See Also

PetscObjectComm()

### Level

advanced

### Location

src/sys/objects/gcomm.c

### Examples

src/dm/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex55.c.html
src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex30.c.html
src/snes/examples/tutorials/ex48.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html
src/snes/examples/tutorials/ex47cu.cu.html
src/ts/examples/tutorials/ex7.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages